<?php

class Waindigo_AutoWarning_Listener_TemplatePostRender extends Waindigo_Listener_TemplatePostRender
{

    protected function _getTemplates()
    {
        return array(
            'warning_list'
        );
    } /* END _getTemplates */

    public static function templatePostRender($templateName, &$content, array &$containerData,
        XenForo_Template_Abstract $template)
    {
        $templatePostRender = new Waindigo_AutoWarning_Listener_TemplatePostRender($templateName, $content,
            $containerData, $template);
        list($content, $containerData) = $templatePostRender->run();
    } /* END templatePostRender */

    protected function _warningList()
    {
        $viewParams = $this->_fetchViewParams();
        $this->_appendTemplate('waindigo_topctrl_autowarning', $viewParams, $this->_containerData['topctrl']);

        $this->_appendTemplate('waindigo_warning_list_autowarning');
    } /* END _warningList */
}